org.apache.olingo.odata2.api.edm

## Enum EdmTypeKind

- java.lang.Object
- - java.lang.Enum<EdmTypeKind>
  - - org.apache.olingo.odata2.api.edm.EdmTypeKind

- All Implemented Interfaces:
    Serializable, Comparable<EdmTypeKind>

      public enum EdmTypeKind
      extends Enum<EdmTypeKind>

  Do not implement this interface or derive from class.
    EdmTypeKind specifies the type of an EDM element.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASSOCIATION`
    `COMPLEX`
    `ENTITY`
    `NAVIGATION`
    `SIMPLE`
    `SYSTEM`
    `UNDEFINED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EdmTypeKind` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EdmTypeKind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNDEFINED

          public static final EdmTypeKind UNDEFINED

    - #### SIMPLE

          public static final EdmTypeKind SIMPLE

    - #### COMPLEX

          public static final EdmTypeKind COMPLEX

    - #### ENTITY

          public static final EdmTypeKind ENTITY

    - #### NAVIGATION

          public static final EdmTypeKind NAVIGATION

    - #### ASSOCIATION

          public static final EdmTypeKind ASSOCIATION

    - #### SYSTEM

          public static final EdmTypeKind SYSTEM

  - ### Method Detail

    - #### values

          public static EdmTypeKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EdmTypeKind c : EdmTypeKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EdmTypeKind valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.